curl --request DELETE \
--url https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"side": "<string>",
"investorId": 123,
"investorAccountId": 123,
"bankId": 123,
"bankAccountId": 123,
"symbol": "<string>",
"price": 123,
"quantity": 123,
"orderType": "<string>",
"orderStatus": "<string>",
"fillQuantity": 123,
"lastQuantity": 123,
"lastPrice": 123,
"averagePrice": 123,
"createdDate": "<string>",
"modifiedDate": "<string>",
"bankMarginPortfolioId": 123,
"dealId": 123,
"tradingFee": 123,
"tradingTax": 123,
"orderSecure": 123,
"priceSecure": 123,
"marginRate": 123,
"quantitySecure": 123,
"leavesQuantity": 123,
"externalId": "<string>",
"error": "<string>",
"maker": "<string>",
"version": 123,
"type": "<string>",
"fillValue": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}Hủy lệnh
Hủy lệnh Phái Sinh theo orderId.
curl --request DELETE \
--url https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/derivative/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"side": "<string>",
"investorId": 123,
"investorAccountId": 123,
"bankId": 123,
"bankAccountId": 123,
"symbol": "<string>",
"price": 123,
"quantity": 123,
"orderType": "<string>",
"orderStatus": "<string>",
"fillQuantity": 123,
"lastQuantity": 123,
"lastPrice": 123,
"averagePrice": 123,
"createdDate": "<string>",
"modifiedDate": "<string>",
"bankMarginPortfolioId": 123,
"dealId": 123,
"tradingFee": 123,
"tradingTax": 123,
"orderSecure": 123,
"priceSecure": 123,
"marginRate": 123,
"quantitySecure": 123,
"leavesQuantity": 123,
"externalId": "<string>",
"error": "<string>",
"maker": "<string>",
"version": 123,
"type": "<string>",
"fillValue": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}Ủy quyền
JWT token lấy từ API đăng nhập.
Tham số đường dẫn
Số hiệu lệnh
Phản hồi
Thành công - hủy lệnh thành công
Số hiệu lệnh
Lệnh Mua/Bán thuộc các giá trị sau: NB: Mua; NS: Bán
Mã khách hàng
Số tiểu khoản
Mã
Giá đặt
Khối lượng đặt
Loại lệnh, thuộc các giá trị sau: LO: lệnh giới hạn; MTL: lệnh thị trường; ATC/ATO: lệnh khớp phiên định kỳ đóng cửa/mở cửa; PLO: lệnh khớp lệnh sau giờ
Trạng thái lệnh, thuộc các giá trị sau: pending: chờ gửi; pendingNew: chờ gửi; new: chờ khớp; partiallyFilled: khớp một phần; filled: khớp toàn bộ; rejected: bị từ chối; expired: bị hết hạn trong phiên; doneForDay: lệnh hết hiệu lực khi hết phiên
Khối lượng đã khớp
Khối lượng của lần khớp gần nhất của lệnh
Giá khớp của lần khớp gần nhất của lệnh
Giá khớp trung bình của lệnh
Thời điểm (ngày giờ) đặt lệnh, theo định dạng ISO UTC 8601 format datetime. Ví dụ: 2022-07-15T10:00:00.111+07:00
Thời điểm (ngày giờ) thay đổi cuối cùng của lệnh
Id gói vay